org.keycloak.services.managers

## Class UserSessionManager

- java.lang.Object
- - org.keycloak.services.managers.UserSessionManager

-     public class UserSessionManager
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServicesLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionManager(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createOrUpdateOfflineSession(ClientSessionModel clientSession, UserSessionModel userSession)`
    `Set<ClientModel>` | `findClientsWithOfflineToken(RealmModel realm, UserModel user)`
    `ClientSessionModel` | `findOfflineClientSession(RealmModel realm, String clientSessionId, String userSessionId)`
    `List<UserSessionModel>` | `findOfflineSessions(RealmModel realm, ClientModel client, UserModel user)`
    `boolean` | `isOfflineTokenAllowed(ClientSessionModel clientSession)`
    `boolean` | `revokeOfflineToken(UserModel user, ClientModel client)`
    `void` | `revokeOfflineUserSession(UserSessionModel userSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static ServicesLogger logger

  - ### Constructor Detail

    - #### UserSessionManager

          public UserSessionManager(KeycloakSession session)

  - ### Method Detail

    - #### createOrUpdateOfflineSession

          public void createOrUpdateOfflineSession(ClientSessionModel clientSession,
                                                   UserSessionModel userSession)

    - #### findOfflineClientSession

          public ClientSessionModel findOfflineClientSession(RealmModel realm,
                                                             String clientSessionId,
                                                             String userSessionId)

    - #### findClientsWithOfflineToken

          public Set<ClientModel> findClientsWithOfflineToken(RealmModel realm,
                                                              UserModel user)

    - #### findOfflineSessions

          public List<UserSessionModel> findOfflineSessions(RealmModel realm,
                                                            ClientModel client,
                                                            UserModel user)

    - #### revokeOfflineToken

          public boolean revokeOfflineToken(UserModel user,
                                            ClientModel client)

    - #### revokeOfflineUserSession

          public void revokeOfflineUserSession(UserSessionModel userSession)

    - #### isOfflineTokenAllowed

          public boolean isOfflineTokenAllowed(ClientSessionModel clientSession)

Copyright © 2016 JBoss by Red Hat. All rights reserved.